InstallerFileEvent (install4j API)
Description: declaration: package: com.install4j.api.events, class: InstallerFileEvent

# Class InstallerFileEvent

java.lang.Object
java.util.EventObject
com.install4j.api.events.InstallerEvent
com.install4j.api.events.InstallerFileEvent

All Implemented Interfaces:
  `Serializable`

public class InstallerFileEvent extends InstallerEvent
The event object that is passed to installer event listeners for single file installation events types. Event listeners are registered in the `InstallerContext`.

This event object contains additional information about the installed file. The event types `EventType.BEFORE_INSTALL_FILE` and `EventType.AFTER_INSTALL_FILE` produce this event object when fired.

See Also:
  - `InstallerEventListener`
  - `Context.addInstallerEventListener(InstallerEventListener)`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstallerFileEvent(Object source, Context context, EventType type, boolean success, File destinationFile, long fileSize)`
  The constructor is called by the framework.
  `InstallerFileEvent(Object source, Context context, EventType type, File destinationFile, long fileSize)`
  The constructor is called by the framework.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getDestinationFile()`
  Get the installed file location associated with this event.
  `long`
  `getFileSize()`
  Get the size of the installed file in bytes.
  `String`
  `getVerbose()`
  Return a verbose description of this event.
  `String`
  `toString()`

  ### Methods inherited from class InstallerEvent

  `getContext, getType, setContext, wasSuccessful`

  ### Methods inherited from class EventObject

  `getSource`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InstallerFileEvent

    public InstallerFileEvent(Object source, Context context, EventType type, boolean success, File destinationFile, long fileSize)
    The constructor is called by the framework.
    Parameters:
      `source` - the event source
      `context` - the context
      `type` - the event type.
      `success` - whether the operation associated with the event was successful
      `destinationFile` - the installed file
      `fileSize` - the size of the installed file

  - ### InstallerFileEvent

    public InstallerFileEvent(Object source, Context context, EventType type, File destinationFile, long fileSize)
    The constructor is called by the framework.
    Parameters:
      `source` - the event source
      `context` - the context
      `type` - the event type.
      `destinationFile` - the installed file
      `fileSize` - the size of the installed file

- ## Method Details

  - ### getDestinationFile

    public File getDestinationFile()
    Get the installed file location associated with this event.
    Returns:
      the file

  - ### getFileSize

    public long getFileSize()
    Get the size of the installed file in bytes.
    Returns:
      the size in bytes

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `InstallerEvent`

  - ### getVerbose

    public String getVerbose()
    Description copied from class: `InstallerEvent`
    Return a verbose description of this event.
    Overrides:
      `getVerbose` in class `InstallerEvent`
    Returns:
      the description